loci.formats.in

## Class FV1000Reader

- java.lang.Object
- - loci.formats.FormatHandler
  - - loci.formats.FormatReader
    - - loci.formats.in.FV1000Reader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, ICompressedTileReader, IFormatHandler, IFormatReader, IMetadataConfigurable, IPyramidHandler

      public class FV1000Reader
      extends FormatReader

  FV1000Reader is the file format reader for Fluoview FV 1000 OIB and Fluoview FV 1000 OIF files.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `FV1000Reader.ChannelData`
    `(package private) class` | `FV1000Reader.PlaneData`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `ARROW`
    `private java.util.List<FV1000Reader.ChannelData>` | `channels`
    `private static int` | `CIRCLE`
    `private java.lang.String[]` | `code`
    `private static int` | `COLOR_BAR`
    `private java.lang.String` | `creationDate`
    `static java.lang.String` | `DATE_FORMAT`
    `private static int` | `ELLIPSE`
    `private java.util.Map<java.lang.Integer,java.lang.String>` | `filenames`
    `private static int` | `FREE_LINE`
    `private static int` | `FREE_SHAPE`
    `static java.lang.String` | `FV1000_MAGIC_STRING_1`
    `static java.lang.String` | `FV1000_MAGIC_STRING_2`
    `static java.lang.String[]` | `FV1000_SUFFIXES`
    `private static int` | `GRID`
    `private java.util.ArrayList<IFDList>` | `ifds`
    `private java.util.List<java.lang.String>` | `illuminations`
    `private int` | `imageDepth`
    `private boolean` | `isOIB` Flag indicating this is an OIB dataset.
    `private int` | `lastChannel`
    `private java.lang.String` | `lensNA`
    `private java.lang.String` | `line`
    `private static int` | `LINE`
    `private short[][][]` | `lut`
    `private java.util.List<java.lang.String>` | `lutNames`
    `private java.lang.String` | `magnification`
    `private static int` | `NUM_DIMENSIONS`
    `private java.lang.String` | `objectiveName`
    `static java.lang.String[]` | `OIB_SUFFIX`
    `private java.util.Map<java.lang.String,java.lang.String>` | `oibMapping` File mappings for OIB file.
    `static java.lang.String[]` | `OIF_SUFFIX`
    `private loci.common.IniParser` | `parser`
    `private java.lang.String` | `pinholeSize`
    `private java.lang.Double[]` | `pixelSize`
    `private double` | `pixelSizeT`
    `private java.lang.String` | `pixelSizeX`
    `private java.lang.String` | `pixelSizeY`
    `private double` | `pixelSizeZ`
    `private java.util.List<FV1000Reader.PlaneData>` | `planes`
    `private POIService` | `poi`
    `private static int` | `POINT` ROI types.
    `private static int` | `POLYGON`
    `private static int` | `POLYLINE`
    `static java.lang.String[]` | `PREVIEWNAME_PREFIXES`
    `private java.util.List<java.lang.String>` | `previewNames`
    `private java.lang.String` | `ptyEnd`
    `private java.lang.String` | `ptyPattern`
    `private java.lang.String` | `ptyStart`
    `private static int` | `RECTANGLE`
    `private java.util.Map<java.lang.Integer,java.lang.String>` | `roiFilenames`
    `private static java.lang.String` | `ROTATION`
    `private static int` | `SCALE`
    `private java.lang.String[]` | `size`
    `private java.lang.String` | `thumbId` Name of thumbnail file.
    `private BMPReader` | `thumbReader` Helper reader for thumbnail.
    `private java.util.List<java.lang.String>` | `tiffs` Names of every TIFF file to open.
    `private java.util.List<java.lang.String>` | `usedFiles` Used file list.
    `private int` | `validBits`
    `private java.util.List<java.lang.Double>` | `wavelengths`
    `private java.lang.String` | `workingDistance`

    - ### Fields inherited from class loci.formats.FormatReader

      `core, coreIndex, datasetDescription, domains, fillColor, filterMetadata, flattenedResolutions, group, hasCompanionFiles, in, indexedAsRGB, metadata, metadataStore, normalizeData, resolution, saveOriginalMetadata, series, suffixNecessary, suffixSufficient, THUMBNAIL_DIMENSION`

    - ### Fields inherited from class loci.formats.FormatHandler

      `COMPRESSION_SUFFIXES, currentId, format, LOGGER, metadataOptions, suffixes`

    - ### Fields inherited from interface loci.formats.IFormatReader

      `CAN_GROUP, CANNOT_GROUP, MUST_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FV1000Reader()` Constructs a new FV1000 reader.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `addPtyFiles()`
    `void` | `close(boolean fileOnly)` Closes the currently open file.
    `int` | `fileGroupOption(java.lang.String id)` Returns an indication of whether the files in a multi-file dataset can be handled individually.
    `private java.lang.String` | `findOIFFile(java.lang.String baseFile)`
    `short[][]` | `get16BitLookupTable()` Gets the 16-bit color lookup table associated with the most recently opened image.
    `private loci.common.RandomAccessInputStream` | `getFile(java.lang.String name)`
    `private loci.common.IniList` | `getIniFile(java.lang.String filename)`
    `int` | `getOptimalTileHeight()` Returns the optimal sub-image height for use with openBytes.
    `int` | `getOptimalTileWidth()` Returns the optimal sub-image width for use with openBytes.
    `private loci.common.RandomAccessInputStream` | `getPlane(int seriesIndex, int planeIndex)`
    `private java.lang.Integer` | `getPreviewNameIndex(java.lang.String key)`
    `java.lang.String[]` | `getSeriesUsedFiles(boolean noPixels)` Returns an array of filenames needed to open the current series.
    `protected void` | `initFile(java.lang.String id)` Initializes the given file (parsing header information, etc.).
    `private void` | `initPOIService()`
    `private boolean` | `isPreviewName(java.lang.String name)`
    `boolean` | `isSingleFile(java.lang.String id)` Returns true if the named file is expected to be the only file in the dataset.
    `boolean` | `isThisType(loci.common.RandomAccessInputStream stream)` Checks if the given stream is a valid stream for this file format.
    `boolean` | `isThisType(java.lang.String name, boolean open)` Checks if a file matches the type of this format reader.
    `private java.lang.String` | `mapOIBFiles()`
    `byte[]` | `openBytes(int no, byte[] buf, int x, int y, int w, int h)` Obtains a sub-image of the specified image plane into a pre-allocated byte array.
    `private int` | `parseROIFile(java.lang.String filename, MetadataStore store, int nextROI, int plane)`
    `private void` | `populateMetadataStore(MetadataStore store, java.lang.String path)`
    `private java.lang.String` | `removeGST(java.lang.String s)`
    `private java.lang.String` | `replaceExtension(java.lang.String name, java.lang.String oldExt, java.lang.String newExt)`
    `private java.lang.String` | `sanitizeFile(java.lang.String file, java.lang.String path)`
    `private java.lang.String` | `sanitizeValue(java.lang.String value)`
    `private static int[]` | `scanFormat(java.lang.String pattern, java.lang.String string)`

    - ### Methods inherited from class loci.formats.FormatReader

      `addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMeta, addGlobalMetaList, addMeta, addMetaList, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMeta, addSeriesMetaList, close, coreIndexToSeries, flattenHashtables, get8BitLookupTable, getAcquisitionMode, getAdvancedSeriesUsedFiles, getAdvancedUsedFiles, getArcType, getAvailableOptions, getBinning, getBitsPerPixel, getCompression, getContrastMethod, getCoreIndex, getCoreMetadataList, getCorrection, getCurrentCore, getCurrentFile, getDatasetStructureDescription, getDetectorType, getDimensionOrder, getDimensionOrder, getDomains, getEffectiveSizeC, getExperimentType, getFilamentType, getFillColor, getFillRule, getFilterType, getFontFamily, getFontStyle, getGlobalMeta, getGlobalMetadata, getIlluminationType, getImageCount, getImmersion, getIndex, getIndex, getLaserMedium, getLaserType, getMarker, getMedium, getMetadataStore, getMetadataStoreRoot, getMetadataValue, getMicrobeamManipulationType, getMicroscopeType, getModuloC, getModuloT, getModuloZ, getNamingConvention, getPixelType, getPixelType, getPossibleDomains, getPulse, getRequiredDirectories, getResolution, getResolutionCount, getRGBChannelCount, getRotationTransform, getSeries, getSeriesCount, getSeriesMeta, getSeriesMetadata, getSeriesMetadataValue, getSeriesUsedFiles, getSizeC, getSizeT, getSizeX, getSizeY, getSizeZ, getThumbSizeX, getThumbSizeY, getTileColumns, getTileRows, getUnderlyingReaders, getUsedFiles, getUsedFiles, getZCTCoords, getZCTModuloCoords, hasCompanionFiles, hasFlattenedResolutions, isFalseColor, isGroupFiles, isIndexed, isInterleaved, isInterleaved, isLittleEndian, isMetadataComplete, isMetadataFiltered, isNormalized, isOrderCertain, isOriginalMetadataPopulated, isRGB, isThisType, isThisType, isThumbnailSeries, isUsedFile, makeFilterMetadata, openBytes, openBytes, openBytes, openPlane, openThumbBytes, readPlane, readPlane, readPlane, reopenFile, seriesToCoreIndex, setCoreIndex, setFillColor, setFlattenedResolutions, setGroupFiles, setId, setMetadataFiltered, setMetadataStore, setNormalized, setOriginalMetadataPopulated, setResolution, setSeries, updateMetadataLists`

    - ### Methods inherited from class loci.formats.FormatHandler

      `checkSuffix, checkSuffix, getFormat, getMetadataOptions, getNativeDataType, getSuffixes, getSupportedMetadataLevels, setMetadataOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface loci.formats.IFormatHandler

      `getFormat, getNativeDataType, getSuffixes`

    - ### Methods inherited from interface loci.formats.IMetadataConfigurable

      `getMetadataOptions, getSupportedMetadataLevels, setMetadataOptions`

    - ### Methods inherited from interface loci.formats.ICompressedTileReader

      `getTileCodec, getTileCodecOptions, openCompressedBytes, openCompressedBytes`

- - ### Field Detail

    - #### FV1000_MAGIC_STRING_1

          public static final java.lang.String FV1000_MAGIC_STRING_1

      See Also:
        Constant Field Values

    - #### FV1000_MAGIC_STRING_2

          public static final java.lang.String FV1000_MAGIC_STRING_2

      See Also:
        Constant Field Values

    - #### OIB_SUFFIX

          public static final java.lang.String[] OIB_SUFFIX

    - #### OIF_SUFFIX

          public static final java.lang.String[] OIF_SUFFIX

    - #### FV1000_SUFFIXES

          public static final java.lang.String[] FV1000_SUFFIXES

    - #### PREVIEWNAME_PREFIXES

          public static final java.lang.String[] PREVIEWNAME_PREFIXES

    - #### DATE_FORMAT

          public static final java.lang.String DATE_FORMAT

      See Also:
        Constant Field Values

    - #### NUM_DIMENSIONS

          private static final int NUM_DIMENSIONS

      See Also:
        Constant Field Values

    - #### POINT

          private static final int POINT

      ROI types.
      See Also:
        Constant Field Values

    - #### LINE

          private static final int LINE

      See Also:
        Constant Field Values

    - #### POLYLINE

          private static final int POLYLINE

      See Also:
        Constant Field Values

    - #### RECTANGLE

          private static final int RECTANGLE

      See Also:
        Constant Field Values

    - #### CIRCLE

          private static final int CIRCLE

      See Also:
        Constant Field Values

    - #### ELLIPSE

          private static final int ELLIPSE

      See Also:
        Constant Field Values

    - #### POLYGON

          private static final int POLYGON

      See Also:
        Constant Field Values

    - #### FREE_SHAPE

          private static final int FREE_SHAPE

      See Also:
        Constant Field Values

    - #### FREE_LINE

          private static final int FREE_LINE

      See Also:
        Constant Field Values

    - #### GRID

          private static final int GRID

      See Also:
        Constant Field Values

    - #### ARROW

          private static final int ARROW

      See Also:
        Constant Field Values

    - #### COLOR_BAR

          private static final int COLOR_BAR

      See Also:
        Constant Field Values

    - #### SCALE

          private static final int SCALE

      See Also:
        Constant Field Values

    - #### ROTATION

          private static final java.lang.String ROTATION

      See Also:
        Constant Field Values

    - #### parser

          private loci.common.IniParser parser

    - #### tiffs

          private java.util.List<java.lang.String> tiffs

      Names of every TIFF file to open.

    - #### thumbId

          private java.lang.String thumbId

      Name of thumbnail file.

    - #### thumbReader

          private BMPReader thumbReader

      Helper reader for thumbnail.

    - #### usedFiles

          private java.util.List<java.lang.String> usedFiles

      Used file list.

    - #### isOIB

          private boolean isOIB

      Flag indicating this is an OIB dataset.

    - #### oibMapping

          private java.util.Map<java.lang.String,java.lang.String> oibMapping

      File mappings for OIB file.

    - #### code

          private java.lang.String[] code

    - #### size

          private java.lang.String[] size

    - #### pixelSize

          private java.lang.Double[] pixelSize

    - #### imageDepth

          private int imageDepth

    - #### previewNames

          private java.util.List<java.lang.String> previewNames

    - #### pixelSizeX

          private java.lang.String pixelSizeX

    - #### pixelSizeY

          private java.lang.String pixelSizeY

    - #### validBits

          private int validBits

    - #### illuminations

          private java.util.List<java.lang.String> illuminations

    - #### wavelengths

          private java.util.List<java.lang.Double> wavelengths

    - #### pinholeSize

          private java.lang.String pinholeSize

    - #### magnification

          private java.lang.String magnification

    - #### lensNA

          private java.lang.String lensNA

    - #### objectiveName

          private java.lang.String objectiveName

    - #### workingDistance

          private java.lang.String workingDistance

    - #### creationDate

          private java.lang.String creationDate

    - #### channels

          private java.util.List<FV1000Reader.ChannelData> channels

    - #### lutNames

          private java.util.List<java.lang.String> lutNames

    - #### filenames

          private java.util.Map<java.lang.Integer,java.lang.String> filenames

    - #### roiFilenames

          private java.util.Map<java.lang.Integer,java.lang.String> roiFilenames

    - #### planes

          private java.util.List<FV1000Reader.PlaneData> planes

    - #### poi

          private transient POIService poi

    - #### lut

          private short[][][] lut

    - #### lastChannel

          private int lastChannel

    - #### pixelSizeZ

          private double pixelSizeZ

    - #### pixelSizeT

          private double pixelSizeT

    - #### ptyStart

          private java.lang.String ptyStart

    - #### ptyEnd

          private java.lang.String ptyEnd

    - #### ptyPattern

          private java.lang.String ptyPattern

    - #### line

          private java.lang.String line

    - #### ifds

          private java.util.ArrayList<IFDList> ifds

  - ### Constructor Detail

    - #### FV1000Reader

          public FV1000Reader()

      Constructs a new FV1000 reader.

  - ### Method Detail

    - #### getOptimalTileWidth

          public int getOptimalTileWidth()

      Description copied from interface: `IFormatReader`
      Returns the optimal sub-image width for use with openBytes.
      Specified by:
        `getOptimalTileWidth` in interface `IFormatReader`
      Overrides:
        `getOptimalTileWidth` in class `FormatReader`

    - #### getOptimalTileHeight

          public int getOptimalTileHeight()

      Description copied from interface: `IFormatReader`
      Returns the optimal sub-image height for use with openBytes.
      Specified by:
        `getOptimalTileHeight` in interface `IFormatReader`
      Overrides:
        `getOptimalTileHeight` in class `FormatReader`

    - #### isSingleFile

          public boolean isSingleFile(java.lang.String id)
                               throws FormatException,
                                      java.io.IOException

      Description copied from interface: `IFormatReader`
      Returns true if the named file is expected to be the only file in the dataset. For single-file formats, always returns true.
      Specified by:
        `isSingleFile` in interface `IFormatReader`
      Overrides:
        `isSingleFile` in class `FormatReader`
      Throws:
        `FormatException`
        `java.io.IOException`

    - #### isThisType

          public boolean isThisType(java.lang.String name,
                                    boolean open)

      Description copied from class: `FormatReader`
      Checks if a file matches the type of this format reader. Checks filename suffixes against those known for this format. If the suffix check is inconclusive and the open parameter is true, the file is opened and tested with `FormatReader.isThisType(RandomAccessInputStream)`.
      Specified by:
        `isThisType` in interface `IFormatReader`
      Overrides:
        `isThisType` in class `FormatReader`
        `open` - If true, and the file extension is insufficient to determine the file type, the (existing) file is opened for further analysis.

    - #### isThisType

          public boolean isThisType(loci.common.RandomAccessInputStream stream)
                             throws java.io.IOException

      Description copied from interface: `IFormatReader`
      Checks if the given stream is a valid stream for this file format. The number of bytes read is format-dependent.
      Specified by:
        `isThisType` in interface `IFormatReader`
      Overrides:
        `isThisType` in class `FormatReader`
      Parameters:
        `stream` - A RandomAccessInputStream representing the file to check. The first byte in the stream is assumed to be the first byte in the file.
      Returns:
        true if the file represented by the stream can be read by this reader; false otherwise.
      Throws:
        `java.io.IOException`

    - #### fileGroupOption

          public int fileGroupOption(java.lang.String id)
                              throws FormatException,
                                     java.io.IOException

      Description copied from interface: `IFormatReader`
      Returns an indication of whether the files in a multi-file dataset can be handled individually. This method is only useful for formats and datasets which contain multiple files.
      Specified by:
        `fileGroupOption` in interface `IFormatReader`
      Overrides:
        `fileGroupOption` in class `FormatReader`
      Parameters:
        `id` - a file in the multi-file dataset
      Returns:
        an int indicating that we cannot, must, or might group the files. A return value of `FormatTools.MUST_GROUP` indicates that the files cannot be handled separately; the reader will always detect and read all files in the dataset. `FormatTools.CAN_GROUP` indicates that the files may be handled separately, but file grouping must then be disabled via `IFormatReader.setGroupFiles(boolean)`. `FormatTools.CANNOT_GROUP` indicates that the files must be handled separately; the reader will not attempt to read all files in the dataset (this is rare).
      Throws:
        `FormatException`
        `java.io.IOException`
      See Also:
        `FormatTools.MUST_GROUP`, `FormatTools.CAN_GROUP`, `FormatTools.CANNOT_GROUP`

    - #### get16BitLookupTable

          public short[][] get16BitLookupTable()

      Description copied from interface: `IFormatReader`
      Gets the 16-bit color lookup table associated with the most recently opened image. If no image planes have been opened, or if `IFormatReader.isIndexed()` returns false, then this may return null. Also, if `IFormatReader.getPixelType()` returns anything other than `FormatTools.INT16` or `FormatTools.UINT16`, this method will return null.
      Specified by:
        `get16BitLookupTable` in interface `IFormatReader`
      Overrides:
        `get16BitLookupTable` in class `FormatReader`

    - #### openBytes

          public byte[] openBytes(int no,
                                  byte[] buf,
                                  int x,
                                  int y,
                                  int w,
                                  int h)
                           throws FormatException,
                                  java.io.IOException

      Description copied from interface: `IFormatReader`
      Obtains a sub-image of the specified image plane into a pre-allocated byte array.
      Specified by:
        `openBytes` in interface `IFormatReader`
      Specified by:
        `openBytes` in class `FormatReader`
      Parameters:
        `no` - the plane index within the current series.
        `buf` - a pre-allocated buffer.
        `x` - X coordinate of the upper-left corner of the sub-image
        `y` - Y coordinate of the upper-left corner of the sub-image
        `w` - width of the sub-image
        `h` - height of the sub-image
      Returns:
        the pre-allocated buffer `buf` for convenience.
      Throws:
        `FormatException` - if there was a problem parsing the metadata of the file.
        `java.io.IOException` - if there was a problem reading the file.
      See Also:
        `IFormatReader.openBytes(int, byte[], int, int, int, int)`

    - #### getSeriesUsedFiles

          public java.lang.String[] getSeriesUsedFiles(boolean noPixels)

      Description copied from interface: `IFormatReader`
      Returns an array of filenames needed to open the current series. If the 'noPixels' flag is set, then only files that do not contain pixel data will be returned. The first element in the array is expected to be the path passed to `IFormatHandler.setId(String)`, if appropriate based upon 'noPixels'. The remaining elements are expected to be in a consistent order; if a directory listing is necessary to build the list then it should be sorted first.
      Specified by:
        `getSeriesUsedFiles` in interface `IFormatReader`
      Overrides:
        `getSeriesUsedFiles` in class `FormatReader`

    - #### close

          public void close(boolean fileOnly)
                     throws java.io.IOException

      Description copied from interface: `IFormatReader`
      Closes the currently open file. If the flag is set, this is all that happens; if unset, it is equivalent to calling `Closeable.close()`.
      Specified by:
        `close` in interface `IFormatReader`
      Overrides:
        `close` in class `FormatReader`
      Throws:
        `java.io.IOException`

    - #### initFile

          protected void initFile(java.lang.String id)
                           throws FormatException,
                                  java.io.IOException

      Description copied from class: `FormatReader`
      Initializes the given file (parsing header information, etc.). Most subclasses should override this method to perform initialization operations such as parsing metadata.
      Overrides:
        `initFile` in class `FormatReader`
      Throws:
        `FormatException` - if a parsing error occurs processing the file.
        `java.io.IOException` - if an I/O error occurs processing the file

    - #### populateMetadataStore

          private void populateMetadataStore(MetadataStore store,
                                             java.lang.String path)
                                      throws FormatException,
                                             java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### parseROIFile

          private int parseROIFile(java.lang.String filename,
                                   MetadataStore store,
                                   int nextROI,
                                   int plane)
                            throws FormatException,
                                   java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### addPtyFiles

          private void addPtyFiles()
                            throws FormatException

      Throws:
        `FormatException`

    - #### findOIFFile

          private java.lang.String findOIFFile(java.lang.String baseFile)
                                        throws FormatException

      Throws:
        `FormatException`

    - #### mapOIBFiles

          private java.lang.String mapOIBFiles()
                                        throws FormatException,
                                               java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### sanitizeValue

          private java.lang.String sanitizeValue(java.lang.String value)

    - #### sanitizeFile

          private java.lang.String sanitizeFile(java.lang.String file,
                                                java.lang.String path)

    - #### removeGST

          private java.lang.String removeGST(java.lang.String s)

    - #### initPOIService

          private void initPOIService()
                               throws FormatException,
                                      java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getFile

          private loci.common.RandomAccessInputStream getFile(java.lang.String name)
                                                       throws FormatException,
                                                              java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

    - #### getPlane

          private loci.common.RandomAccessInputStream getPlane(int seriesIndex,
                                                               int planeIndex)

    - #### getPreviewNameIndex

          private java.lang.Integer getPreviewNameIndex(java.lang.String key)

    - #### isPreviewName

          private boolean isPreviewName(java.lang.String name)

    - #### replaceExtension

          private java.lang.String replaceExtension(java.lang.String name,
                                                    java.lang.String oldExt,
                                                    java.lang.String newExt)

    - #### scanFormat

          private static int[] scanFormat(java.lang.String pattern,
                                          java.lang.String string)
                                   throws FormatException

      Throws:
        `FormatException`

    - #### getIniFile

          private loci.common.IniList getIniFile(java.lang.String filename)
                                          throws FormatException,
                                                 java.io.IOException

      Throws:
        `FormatException`
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment